如何在Plesk中管理PHP扩展和设置

作者: 云计算机网 分类: 动态 发布时间: 2019-09-24 19:48

在 Plesk 中您可以启用或禁用某个 PHP 扩展,而且还可以手动配置很多 PHP 设置。可为每个 PHP 版本单独配置这些设置(例如,您可以为 PHP 5.3 启用一系列与 PHP 5.4 不同的扩展),这些设置会应用到每个 PHP 处理程序类型(例如,如果您为 PHP 5.3 启用 xdebug 扩展,则将会为所有使用 PHP 5.3 的域名启用该扩展,不管这些域名是否使用 CGI、FastCGI 或 PHP-FPM 处理程序)。

若要为某个 PHP 版本更改 PHP 设置,请转入 工具与设置 gt; PHP 设置 并点击任何一个其 PHP 版本匹配您要更改其设置的 PHP 版本 + 处理程序类型组合的名称。例如,如果您要更改 PHP 5.3 的设置,则点击5.3.3 Apache 模块 或5.3.3 FastCGI 应用程序都可以。您可更改以下的 PHP 设置:

从预定义的列表中启用或禁用 PHP 扩展。

通过编辑 php.ini 文件来配置所需的 PHP 设置。

您所做的任何更改对使用该 PHP 版本的所有网站有效。注意有权限管理 PHP 设置的客户能够为其域名和子域名配置某些 PHP 设置。在域名层配置的设置将会覆盖服务器范围的设置。

  • Plesk 完全支持 PHP 脚本语言,包括支持多个 PHP 版本和即购即用的处理程序类型。本教程主要阐述 Plesk 管理员如何设置才能令客户可选择 PHP 处理程序类型以及如何为单个 PHP 版本配置 PHP 设置。

    设置客户可选择处理程序类型

    若要设置客户可选择使用或不可使用 PHP 版本和处理程序类型的某个组合,请转入 工具与设置 gt; PHP 设置。您将会看到服务器上所有可用的 PHP 版本和处理程序类型的组合:

    PHP 版本 + 处理程序类型组合旁的 绿色圆形对勾 小图标表示该组合可供客户选择使用,而 灰色 图标则表示组合不可用。点击该图标切换某个 PHP 版本 + 处理程序类型组合的可用性。任何有权限为其域名选择 PHP 版本和处理程序类型的客户都可以选择您设置可用的 PHP 版本 + 处理程序类型组合。使用某个 PHP 版本 + 处理程序类型组合的域名数量会在组合名称的右边显示,您可以点击该数值查看使用该组合的域名列表。

    不同的处理程序类型其安全性和消耗的资源量也会不同。您可以使用该功能禁止您的客户使用某个处理程序类型或某个 PHP 版本(设置所有使用该 PHP 版本的 PHP 版本 + 处理程序类型组合不可用)。例如,在默认的情况下所有的 PHP 版本都无法使用 CGI PHP 处理程序。但是,您可以为某个 PHP 版本或所有的 PHP 版本设置可使用该处理程序。

    管理单个 PHP 版本的 PHP 设置

    若要为某个 PHP 版本更改 PHP 设置,请转入 工具与设置 gt; PHP 设置 点击任何一个其 PHP 版本匹配您要更改其设置的 PHP 版本 + 处理程序类型组合的名称。例如,如果您要更改 PHP 5.3 的设置,点击 5.3.3 Apache 模块 或 5.3.3 FastCGI 应用程序 都可以。您可更改以下的 PHP 设置:

    从预定义的列表中启用或禁用 PHP 扩展。

    编辑 php.ini 文件。

    您所做的任何更改对使用该 PHP 版本的所有网站有效。注意有权限管理 PHP 设置的客户能够为其域名和子域名配置某些 PHP 设置。在域名层配置的设置将会覆盖服务器范围的设置。

  • 相关推荐:

  • 如何在Plesk中配置PHP处理
  • 如何在Plesk中管理WordPr
  • Plesk荣耀入驻WHD·china20
  • 如何在Plesk中添加自定义
  • 如何在Plesk中配置ASP.NE
  • 如何在Plesk中配置服务器
  • AWS网络问题如何终结?
  • 美橙互联:橙云主机成功
  • 在Plesk中不配置使用邮件
  • 在Plesk中使用其它的邮件
  • 网站内容禁止违规转载,转载授权联系中国云计算网